StackedBarChart (jCharts-0.7.5 API)
Keywords: org.jCharts.axisChart.StackedBarChart,StackedBarChart class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.axisChart
Class StackedBarChart

    java.lang.Object
      |
      +--org.jCharts.axisChart.StackedBarChart

abstract class StackedBarChart
extends java.lang.Object

Constructor Summary
`(package private)` | `StackedBarChart()`

Method Summary
`private static void` | `horizontalPlot(AxisChart axisChart, IAxisChartDataSet iAxisChartDataSet, StackedBarChartProperties stackedBarChartProperties, DataAxisProperties dataAxisProperties, java.awt.Graphics2D g2d, java.awt.geom.Rectangle2D.Float rectangle, float startingX)`
`(package private) static void` | `render(AxisChart axisChart, IAxisChartDataSet iAxisChartDataSet)` Draws the chart
`private static void` | `verticalPlot(AxisChart axisChart, IAxisChartDataSet iAxisChartDataSet, StackedBarChartProperties stackedBarChartProperties, DataAxisProperties dataAxisProperties, java.awt.Graphics2D g2d, java.awt.geom.Rectangle2D.Float rectangle, float startingY)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StackedBarChart

    StackedBarChart()

Method Detail

### render

    static void render(AxisChart axisChart,
                       IAxisChartDataSet iAxisChartDataSet)
                throws ChartDataException

  Draws the chart

  Parameters:
    `axisChart` -
    `ChartDataException`

### horizontalPlot

    private static void horizontalPlot(AxisChart axisChart,
                                       IAxisChartDataSet iAxisChartDataSet,
                                       StackedBarChartProperties stackedBarChartProperties,
                                       DataAxisProperties dataAxisProperties,
                                       java.awt.Graphics2D g2d,
                                       java.awt.geom.Rectangle2D.Float rectangle,
                                       float startingX)
                                throws ChartDataException

  Parameters:
    `axisChart` -
    `iAxisChartDataSet` -
    `stackedBarChartProperties` -
    `dataAxisProperties` -
    `g2d` -
    `rectangle` -
    `startingX` -
    `ChartDataException`

### verticalPlot

    private static void verticalPlot(AxisChart axisChart,
                                     IAxisChartDataSet iAxisChartDataSet,
                                     StackedBarChartProperties stackedBarChartProperties,
                                     DataAxisProperties dataAxisProperties,
                                     java.awt.Graphics2D g2d,
                                     java.awt.geom.Rectangle2D.Float rectangle,
                                     float startingY)

  Parameters:
    `axisChart` -
    `iAxisChartDataSet` -
    `stackedBarChartProperties` -
    `dataAxisProperties` -
    `g2d` -
    `rectangle` -
    `startingY` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD